Skip to main content

Get last run's default request queue

GET 

/v2/actors/:actorId/runs/last/request-queue

Returns the default request queue associated with the last Actor run.

This endpoint is a shortcut for getting the last run's defaultRequestQueueId and then using the Get request queue endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Status 200

Response Headers
    {
    "data": {
    "id": "WkzbQMuFYuamGv3YF",
    "name": "some-name",
    "userId": "wRsJZtadYvn4mBZmm",
    "actId": "string",
    "actRunId": "string",
    "createdAt": "2019-12-12T07:34:14.202Z",
    "modifiedAt": "2019-12-13T08:36:13.202Z",
    "accessedAt": "2019-12-14T08:36:13.202Z",
    "totalRequestCount": 870,
    "handledRequestCount": 100,
    "pendingRequestCount": 670,
    "hadMultipleClients": true,
    "consoleUrl": "https://api.apify.com/v2/request-queues/27TmTznX9YPeAYhkC",
    "stats": {
    "deleteCount": 0,
    "headItemReadCount": 5,
    "readCount": 100,
    "storageBytes": 1024,
    "writeCount": 10
    },
    "generalAccess": "RESTRICTED"
    }
    }